<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CHeavy Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCHeavy.html">CHeavy</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classCHeavy.html#a3b2fe70331aa648035c8a80a7f791647">attack</a>(CAttacker &amp;dst) override</td><td class="entry"><a class="el" href="classCHeavy.html">CHeavy</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CHeavy</b>(char symbol, const string &amp;name, int hp, int attack, int range, int parentID) (defined in <a class="el" href="classCHeavy.html">CHeavy</a>)</td><td class="entry"><a class="el" href="classCHeavy.html">CHeavy</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>clone</b>() const override (defined in <a class="el" href="classCHeavy.html">CHeavy</a>)</td><td class="entry"><a class="el" href="classCHeavy.html">CHeavy</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCTower.html#a8634f96b7e6985fac9ef1d3dbea46651">CTower</a>(char symbol, const string &amp;name, int hp, int attack, int range, int parentID)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCHeavy.html#aa0b1363684f510a1f0a735743cd00d38">defend</a>(CAttacker &amp;src) override</td><td class="entry"><a class="el" href="classCHeavy.html">CHeavy</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCTower.html#a937738b2359258a5bc50105e51fddb1c">CTower::defend</a>(CWarrior &amp;src)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCEntity.html#a9ab2d129368e2d3acfec883129439e1c">discover</a>() const</td><td class="entry"><a class="el" href="classCEntity.html">CEntity</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getAttack</b>() const (defined in <a class="el" href="classCTower.html">CTower</a>)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCTower.html#af75495fa398d62acb73f336de801c402">getHp</a>() const</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCTower.html#a205833c18de6141f52342426bf0f0fbd">hasInRange</a>(const TCoord &amp;src) const</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCEntity.html#a5bedcc5d44f5b4a65d8abd8bc7766588">isPath</a>() const</td><td class="entry"><a class="el" href="classCEntity.html">CEntity</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_attack</b> (defined in <a class="el" href="classCTower.html">CTower</a>)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_attackChance</b> (defined in <a class="el" href="classCHeavy.html">CHeavy</a>)</td><td class="entry"><a class="el" href="classCHeavy.html">CHeavy</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_blockingChance</b> (defined in <a class="el" href="classCHeavy.html">CHeavy</a>)</td><td class="entry"><a class="el" href="classCHeavy.html">CHeavy</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_hp</b> (defined in <a class="el" href="classCTower.html">CTower</a>)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_name</b> (defined in <a class="el" href="classCTower.html">CTower</a>)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_parentID</b> (defined in <a class="el" href="classCTower.html">CTower</a>)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_pos</b> (defined in <a class="el" href="classCTower.html">CTower</a>)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_range</b> (defined in <a class="el" href="classCTower.html">CTower</a>)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_symbol</b> (defined in <a class="el" href="classCTower.html">CTower</a>)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCTower.html#a682eee406b527e183153ca7b9ef74301">position</a>() const</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCHeavy.html#aaf4ef6582f00d787290e6cbfe8f7452b">print</a>(ostream &amp;os) const override</td><td class="entry"><a class="el" href="classCHeavy.html">CHeavy</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCHeavy.html#aa40d8a34f4b6b402bf12b483f444c6d0">printDetails</a>(ostream &amp;os) const override</td><td class="entry"><a class="el" href="classCHeavy.html">CHeavy</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCTower.html#ab6fce3e9fc4c2c3b57c0a8be35f6c055">save</a>(ofstream &amp;ofs) const</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCTower.html#a19b4b2e8b3bee08db6c8c206a8616653">setHp</a>(int hp)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setPos</b>(TCoord pos) (defined in <a class="el" href="classCTower.html">CTower</a>)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCEntity.html#a833f1423fd7e0f2096517b100c44db72">~CEntity</a>()=default</td><td class="entry"><a class="el" href="classCEntity.html">CEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~CTower</b>()=default (defined in <a class="el" href="classCTower.html">CTower</a>)</td><td class="entry"><a class="el" href="classCTower.html">CTower</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
